Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ClassObject

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SchemaObject
                  oracle.ifs.server.S_TieSchemaObject
                      oracle.ifs.server.S_ClassObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

    public class S_ClassObject

extends S_TieSchemaObject

An S_ClassObject is the server-side representation of the CLASSOBJECT class.

(Published)

Field Summary
`protected S_ClassObject` | `m_Superclass` The Superclass of this CLASSOBJECT.
`protected boolean` | `m_SuperclassResolved` Whether the superclass has been resolved.

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_ClassObject(S_LibrarySession ssession, java.lang.Long classId)` Constructs an S_ClassObject.
`protected` | `S_ClassObject(S_LibrarySession ssession, S_ClassObjectData data)` Constructs an S_ClassObject.
`protected` | `S_ClassObject(S_LibrarySession ssession, S_LibraryObjectData data)` Constructs an S_ClassObject.

Method Summary
`S_Attribute` | `addAttribute(S_LibraryObjectDefinition def)` Adds an Attribute to this ClassObject.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition sdef)` Add to the S_LibraryObjectDefinition for this class.
`protected S_ClassAccessControlList` | `determineInheritedClassAcl()` Determines ClassAcl, if any, by ascending up the class hierarchy, looking for the first class that has a ClassAcl set.
`protected S_Policy` | `determineInheritedPolicy(java.lang.String operationName)` Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework
`java.io.Serializable` | `DYNRecreateViews(java.io.Serializable payload)` Force re-creation of the database views, for this class and all of its subclasses.
`protected void` | `extendedPostFree(OperationState opState, S_LibraryObjectDefinition def)` operations to be performed after freeing an object.
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs post-insert actions.
`protected void` | `extendedPostUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Performs post-update operations.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` operations to be performed before freeing an object.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Performs pre-insert actions.
`protected S_LibraryObjectDefinition` | `getDefinition()` Override getDefinition() to construct the correct bean-side definition.
`S_ClassObject[]` | `getDirectSubclasses()` Gets the direct subclasses for this class as an array of S_ClassObjects.
`S_ClassObject` | `getDirectSubclasses(int index)` Gets the index-specified direct subclass for this class as an S_ClassObject.
`int` | `getEffectiveClassAttributeIndex(java.lang.String attributeName)` Gets the array index of the specified effective attribute of the class.
`S_Attribute[]` | `getEffectiveClassAttributes()` Gets the effective attributes for the class.
`S_Attribute` | `getEffectiveClassAttributes(int index)` Gets the specified effective attribute of the class.
`S_Attribute` | `getEffectiveClassAttributes(java.lang.String attributeName)` Gets the specified effective attribute of the class.
`protected java.util.Vector` | `getEffectiveClassPolicyActionContexts(java.lang.String operation)` Gets the set of policies, as PolicyActionContexts, implicitly applied to all instances of this ClassObject for the specified operation.
`java.util.Vector` | `getEffectiveClassPolicyListElements(java.lang.String operation)` Gets the set of policies, as PolicyListElements, implicitly applied to all instances of this ClassObject for the specified operation.
`int` | `getExtendedClassAttributeIndex(java.lang.String attributeName)` Gets the array index of the specified extended attribute of the class.
`S_Attribute[]` | `getExtendedClassAttributes()` Gets the extended attributes for the class.
`S_Attribute` | `getExtendedClassAttributes(int index)` Gets the specified extended attribute of the class.
`S_Attribute[]` | `getExtendedClassAttributes(S_ClassObject superclass)` Gets an array of the attributes defined by this class.
`S_Attribute` | `getExtendedClassAttributes(java.lang.String attributeName)` Gets the specified extended attribute of the class.
`AttributeValue` | `getInheritedPropertyValue(java.lang.String name)` gets the named property, if any, by searching in the target ClassObject's PropertyBundle, or in one of its superclasses PropertyBundle.
`S_ClassObject[]` | `getSubclasses()` Gets the subclasses for this class as an array of S_ClassObjects.
`S_ClassObject` | `getSubclasses(int index)` Gets the index-specified subclass for this class as an S_ClassObject.
`S_ClassObject` | `getSuperclass()` Gets the superclass for this class.
`boolean` | `isDirectSubclassOf(S_ClassObject classObject)` Determines whether this class is a direct subclass of the specfied class (that is, whether the specified class is the immediate superclass of this class).
`boolean` | `isSubclassOf(S_ClassObject classObject)` Determines whether this class is a subclass of the specfied class (that is, whether the specified class is this class, the immediate superclass of this class, the super-superclass of this class, etc.).
`void` | `removeAttribute(S_Attribute attribute, S_LibraryObjectDefinition def)` Removes an Attribute from this ClassObject.

Methods inherited from class oracle.ifs.server.S_SchemaObject
`addCategory, cascadeFree, extendedPreUpdate, getCategories, getCategories, getCategories, handleCascade, hasNameAttribute, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPreCopy, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### m_Superclass

    protected S_ClassObject m_Superclass

  Description copied from class: `S_ClassObject`
  The Superclass of this CLASSOBJECT.

  (Unpublished)

### m_SuperclassResolved

    protected boolean m_SuperclassResolved

  Description copied from class: `S_ClassObject`
  Whether the superclass has been resolved.

  (Unpublished)

Constructor Detail

### S_ClassObject

    protected S_ClassObject(S_LibrarySession ssession,
                            S_LibraryObjectData data)
                     throws IfsException

  Constructs an S_ClassObject.

  Parameters:
    `ssession` - the current session
    `data` - the object's data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_ClassObject

    protected S_ClassObject(S_LibrarySession ssession,
                            S_ClassObjectData data)
                     throws IfsException

  Constructs an S_ClassObject.

  This variant takes an S_ClassObjectData instead of S_LibraryObjectData. It is used by dynamic construction.

  Parameters:
    `ssession` - the current session
    `data` - the object's data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_ClassObject

    protected S_ClassObject(S_LibrarySession ssession,
                            java.lang.Long classId)
                     throws IfsException

  Constructs an S_ClassObject.

  This variant is used for objects that have not yet been created in the database.

  Parameters:
    `ssession` - the current session
    `classId` - the id of the class of the object being constructed (this should always be the id of the CLASSOBJECT class). This is not the id of the object being constructed.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getEffectiveClassPolicyListElements

    public java.util.Vector getEffectiveClassPolicyListElements(java.lang.String operation)
                                                         throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the set of policies, as PolicyListElements, implicitly applied to all instances of this ClassObject for the specified operation.

  The PolicyListElements are returned in SORTSEQUENCE order. If more than one PolicyListElement has a particular SORTSEQUENCE value, a PolicyListElement introduced by a classobject precedes the PolicyListElements introduced by the superclasses of that classobject.

  Parameters:
    `operation` - the operation of interest, or null for all operations
  Returns:
    a Vector of S_PolicyListElement objects
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEffectiveClassPolicyActionContexts

    protected java.util.Vector getEffectiveClassPolicyActionContexts(java.lang.String operation)
                                                              throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the set of policies, as PolicyActionContexts, implicitly applied to all instances of this ClassObject for the specified operation.

  The PolicyActionContexts are returned unsorted.

  Parameters:
    `operation` - the operation of interest, or null for all operations
  Returns:
    a Vector of PolicyActionContext objects
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### determineInheritedPolicy

    protected S_Policy determineInheritedPolicy(java.lang.String operationName)
                                         throws IfsException

  Deprecated. CM SDK 10gR2: see release notes for changes to Policy framework

  Description copied from class: `S_ClassObject`
  Determines policy, if any, by searching in the target ClassObject's PolicyBundle, or in one of its superclasses PolicyBundle. Return null if no policy exists for this operation.

  Parameters:
    `operationName` - Operation name
  Returns:
    the Policy for the requested operation, or null if no specific Policy.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getInheritedPropertyValue

    public AttributeValue getInheritedPropertyValue(java.lang.String name)
                                             throws IfsException

  Description copied from class: `S_ClassObject`
  gets the named property, if any, by searching in the target ClassObject's PropertyBundle, or in one of its superclasses PropertyBundle. Return null if no property exists for this name.

  Parameters:
    `name` - Property name
  Returns:
    the AttributeValue for the requested property, or null if no specific Proeprty exists on this class or superclasses.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### determineInheritedClassAcl

    protected S_ClassAccessControlList determineInheritedClassAcl()
                                                           throws IfsException

  Description copied from class: `S_ClassObject`
  Determines ClassAcl, if any, by ascending up the class hierarchy, looking for the first class that has a ClassAcl set. Return null if no Class Acl's exist in the hierarchy above this target class.

  Returns:
    the ClassAccessControlList or null if no ClassAccessControlList is specified on this class or any of its superclasses.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_ClassObject`
  Performs pre-insert actions.

  Overrides:
    `extendedPreInsert` in class `S_SchemaObject`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition for the insert operation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_ClassObject`
  Performs post-insert actions.

  Overrides:
    `extendedPostInsert` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition for the insert operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### extendedPostUpdate

    protected void extendedPostUpdate(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_ClassObject`
  Performs post-update operations.

  Overrides:
    `extendedPostUpdate` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `sdef` - the definition for the insert operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_ClassObject`
  operations to be performed before freeing an object. This override will validate this operation, and throw an exception if: 1. there are any subclasses of this class 2. there are any instances of this class. 3. This class is specified in a ClassDoamin.

  Overrides:
    `extendedPreFree` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `def` - the definition for the free operation
  Throws:
    `IfsException` - if operation fails.
  (Published)

### extendedPostFree

    protected void extendedPostFree(OperationState opState,
                                    S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_ClassObject`
  operations to be performed after freeing an object. This override will drop the database objects associated with the freed class.

  Overrides:
    `extendedPostFree` in class `S_LibraryObject`
  Parameters:
    `opState` - current operation state
    `def` - the definition for the free operation
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition sdef)
                             throws IfsException

  Description copied from class: `S_ClassObject`
  Add to the S_LibraryObjectDefinition for this class. This is called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_SchemaObject`
  Parameters:
    `sdef` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getEffectiveClassAttributes

    public S_Attribute[] getEffectiveClassAttributes()
                                              throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the effective attributes for the class.

  The effective attributes of the class are both the attributes introduced by the class itself as well as the attributes the class inherits from its superclasses.

  Returns:
    the array of attributes
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEffectiveClassAttributes

    public S_Attribute getEffectiveClassAttributes(int index)
                                            throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the specified effective attribute of the class.

  The effective attributes of the class are both the attributes introduced by the class itself as well as the attributes the class inherits from its superclasses.

  Parameters:
    `index` - the zero-based attribute index
  Returns:
    the attribute
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getEffectiveClassAttributes

    public S_Attribute getEffectiveClassAttributes(java.lang.String attributeName)
                                            throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the specified effective attribute of the class.

  The effective attributes of the class are both the attributes introduced by the class itself as well as the attributes the class inherits from its superclasses.

  Parameters:
    `attributeName` - the attribute name
  Returns:
    the attribute, or null if there is no attribute with the specified name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getEffectiveClassAttributeIndex

    public int getEffectiveClassAttributeIndex(java.lang.String attributeName)
                                        throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the array index of the specified effective attribute of the class.

  The effective attributes of the class are the attributes introduced by the class itself, and any attributes the class inherits from its superclasses.

  Parameters:
    `attributeName` - the attribute name
  Returns:
    the array index
  Throws:
    `IfsException` - (IFS-10407) if the attribute name is not the name of an effective attribute of the class or IfsException if the operation otherwise fails
  (Unpublished)

### getExtendedClassAttributes

    public S_Attribute[] getExtendedClassAttributes()
                                             throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the extended attributes for the class.

  The extended attributes of the class are only the attributes introduced by the class itself, and do not include any attributes the class inherits from its superclasses.

  Returns:
    the array of attributes. If the class has no extended attributes, an zero-length array is returned.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getExtendedClassAttributes

    public S_Attribute[] getExtendedClassAttributes(S_ClassObject superclass)
                                             throws IfsException

  Description copied from class: `S_ClassObject`
  Gets an array of the attributes defined by this class. Does not include attributes inherited from the superclass.

  Parameters:
    `superclass` - a superclass of this class
  Returns:
    the array of attributes. If the class has exactly the same attributes as superclass, a zero-length array is returned.
  Throws:
    `IfsException` - (IFS-19001) if superclass is null or IfsException (IFS-19005) if superclass is not a superclass of this class or IfsException if the operation otherwise fails
  (Published)

### getExtendedClassAttributes

    public S_Attribute getExtendedClassAttributes(int index)
                                           throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the specified extended attribute of the class.

  The extended attributes of the class are only the attributes introduced by the class itself, and do not include any attributes the class inherits from its superclasses.

  Parameters:
    `index` - the zero-based attribute index
  Returns:
    the attribute
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getExtendedClassAttributes

    public S_Attribute getExtendedClassAttributes(java.lang.String attributeName)
                                           throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the specified extended attribute of the class.

  The extended attributes of the class are only the attributes introduced by the class itself, and do not include any attributes the class inherits from its superclasses.

  Parameters:
    `attributeName` - the attribute name
  Returns:
    the attribute, or null if there is no attribute with the specified name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getExtendedClassAttributeIndex

    public int getExtendedClassAttributeIndex(java.lang.String attributeName)
                                       throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the array index of the specified extended attribute of the class.

  The extended attributes of the class are only the attributes introduced by the class itself, and do not include any attributes the class inherits from its superclasses.

  Parameters:
    `attributeName` - the attribute name
  Returns:
    the array index
  Throws:
    `IfsException` - (IFS-10407) if the attribute name is not the name of an extended attribute of the class or IfsException if the operation otherwise fails
  (Unpublished)

### getSuperclass

    public S_ClassObject getSuperclass()
                                throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the superclass for this class.

  Returns:
    the superclass of this class, or null if this class has no superclass
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDirectSubclasses

    public S_ClassObject[] getDirectSubclasses()
                                        throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the direct subclasses for this class as an array of S_ClassObjects.

  The direct subclasses are the classes that directly extend this class.

  Returns:
    the array of class objects
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDirectSubclasses

    public S_ClassObject getDirectSubclasses(int index)
                                      throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the index-specified direct subclass for this class as an S_ClassObject.

  The direct subclasses are the classes that directly extend this class.

  Parameters:
    `index` - the zero-based direct subclass index
  Returns:
    the class object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSubclasses

    public S_ClassObject[] getSubclasses()
                                  throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the subclasses for this class as an array of S_ClassObjects.

  The subclasses are the classes that directly extend this class and their subclasses, sub-subclasses, etc.

  Returns:
    the array of class objects
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSubclasses

    public S_ClassObject getSubclasses(int index)
                                throws IfsException

  Description copied from class: `S_ClassObject`
  Gets the index-specified subclass for this class as an S_ClassObject.

  The subclasses are the classes that directly extend this class and their subclasses, sub-subclasses, etc.

  Parameters:
    `index` - the zero-based direct subclass index
  Returns:
    the class object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isDirectSubclassOf

    public boolean isDirectSubclassOf(S_ClassObject classObject)
                               throws IfsException

  Description copied from class: `S_ClassObject`
  Determines whether this class is a direct subclass of the specfied class (that is, whether the specified class is the immediate superclass of this class).

  Parameters:
    `classObject` - the class of interest
  Returns:
    whether this class is a direct subclass of `classObject`
  Throws:
    `IfsException` - (IFS-19001) if `classObject` is null
  (Published)

### isSubclassOf

    public boolean isSubclassOf(S_ClassObject classObject)
                         throws IfsException

  Description copied from class: `S_ClassObject`
  Determines whether this class is a subclass of the specfied class (that is, whether the specified class is this class, the immediate superclass of this class, the super-superclass of this class, etc.).

  Parameters:
    `classObject` - the class of interest
  Returns:
    whether this class is a subclass of `classObject`
  Throws:
    `IfsException` - (IFS-19001) if `classObject` is null
  (Published)

### addAttribute

    public S_Attribute addAttribute(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_ClassObject`
  Adds an Attribute to this ClassObject.

  Parameters:
    `def` - the AttributeDefinition of the new Attribute
  Returns:
    the new Attribute
  Throws:
    `IfsException` - (IFS-30820) if the operation fails
  (Unpublished)

### removeAttribute

    public void removeAttribute(S_Attribute attribute,
                                S_LibraryObjectDefinition def)
                         throws IfsException

  Description copied from class: `S_ClassObject`
  Removes an Attribute from this ClassObject.

  Parameters:
    `attribute` - the Attribute to remove
    `def` - a definition that influences how the attribute is removed, or null for default behavior
  Throws:
    `IfsException` - (IFS-30821) if the operation fails
  (Unpublished)

### getDefinition

    protected S_LibraryObjectDefinition getDefinition()
                                               throws IfsException

  Description copied from class: `S_ClassObject`
  Override getDefinition() to construct the correct bean-side definition.

  Overrides:
    `getDefinition` in class `S_LibraryObject`
  Returns:
    the dervied definition for this instance
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### DYNRecreateViews

    public java.io.Serializable DYNRecreateViews(java.io.Serializable payload)
                                          throws IfsException

  Description copied from class: `S_ClassObject`
  Force re-creation of the database views, for this class and all of its subclasses.

  Parameters:
    `payload` - no payload is used for this DYN method
  Returns:
    the Serializable result is always null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD